Skip to main content
GET
/
api
/
opportunity
/
{opportunityId}
/
agent
/
activities
Obtener Actividades del Agente en Oportunidad
curl --request GET \
  --url https://api.plazbot.com/api/opportunity/{opportunityId}/agent/activities \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "content": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "categoryType": "<string>",
      "userId": "<string>",
      "creationDate": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Path Parameters

opportunityId
string
required

ID de la oportunidad

Query Parameters

workspaceId
string

Identificador del workspace

Response

Actividades del agente obtenidas exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object[]
required